任务单 #5410

同じ武器がまとまらないことがある
开放日期: 2005-01-06 18:42 最后更新: 2005-01-10 22:03

报告人:
(匿名)
属主:
类型:
状态:
关闭
组件:
(无)
里程碑:
(无)
优先:
5 - Medium
严重性:
5 - Medium
处理结果:
Fixed
文件:

Details

5本の+0 銀の短剣を初期装備に持つアンデッドスレイヤーで
プレイしていたのですが、

+0 銀の短剣を投げて敵を倒す

その敵が死体を残す

死体と同じマスにある+0 銀の短剣を拾う

このようなとき、拾った+0 銀の短剣が
既に持っている+0 銀の短剣とまとまらず
別々のアイテム記号に割り当てられてしまいました。

fixinvオプションはtrueに設定されています。

任务单历史 (3/4 Histories)

2005-01-06 23:31 Updated by: so-miya
  • 属主 Update from (无) to so-miya
  • (类别 change on Tracker)
  • 处理结果 Update from to Accepted
评论
Logged In: YES
user_id=1624

ご報告ありがとうございます。

確かに現象を確認しました。
JSLASH'EM-0.0.7E6F3-J0.0.10とSLASH'EM-0.0.7E6F3では発生し、
JNetHack-3.4.0-0.4では発生しないところから、SLASH'EM-
0.0.7E6F3固有の問題であると思われます。

なお、SLASH'EM-0.0.7E6F2では発生しないことは確認しました。

ソースを読んで仕様かバグかを見極めたうえでSLASH'EM本家の
バグトラックに報告いたします。


2005-01-07 22:36 Updated by: so-miya
  • 处理结果 Update from Accepted to Fixed
评论
Logged In: YES
user_id=1624

本家SLASH'EMのバグトラックですでに報告されていました。
http://sourceforge.net/tracker/index.php?func=detail&aid=1066530&group_id=9746&atid=109746

修正内容はこちら。
http://cvs.sourceforge.net/viewcvs.py/slashem/slashem/src/pickup.c?r1=1.23&r2=1.24

CVSを修正しました。
2005-01-07 22:36 Updated by: so-miya
评论
Logged In: YES
user_id=1624

本家SLASH'EMのバグトラックですでに報告されていました。
http://sourceforge.net/tracker/index.php?func=detail&aid=1066530&group_id=9746&atid=109746

修正内容はこちら。
http://cvs.sourceforge.net/viewcvs.py/slashem/slashem/src/pickup.c?r1=1.23&r2=1.24

CVSを修正しました。
2005-01-10 22:03 Updated by: so-miya
  • Ticket Close date is changed to 2005-01-10 22:03
  • 状态 Update from 开启 to 关闭
评论
Logged In: YES
user_id=1624

J0.0.11をリリースしたので閉じます。

Attachment File List

No attachments

编辑

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » 登录名